Subject: bug#7597: multi-threaded sort can segfault (unrelated to the sort -u segfault)

From: Paul Eggert <[email-masked]>
Date: Sat, 11 Dec 2010 12:00:48 -0800

Sorry for botching the NEWS and the change log.  To help
make amends, how about if I add a test case for that?
I'm thinking of the 2nd test case in
<http://lists.gnu.org/archive/html/bug-coreutils/2010-12/msg00043.html>,
namely this one:

gensort -a 10000 > gensort-10k
for i in $(seq 2000); do printf '% 4d\n' $i; src/sort -S 100K \
  --parallel=2 gensort-10k > j; test $(wc -c < j) = 1000000 || break; done

Or if you have a better one in mind, please let me know.

There are also some test cases I need to add for the
(unrelated) sort-compression bug, which is next on my
list of coreutils bugs to look at.